---
layout: page
title: I Formati Aperti
---

<p>I "file", parte integrante delle attività digitali che tutti noi svogliamo quotidianamente al computer, non sono altro che sequenze di 0 e 1 che codificano le informazioni, più o meno strutturate e complesse, al fine di conservarle nel tempo, consultarle, trasmetterle, copiarle e modificarle. Un "formato" è una convenzione con cui diversi insiemi di 0 e 1 devono essere interpretati dai programmi per poter estrapolare le informazioni dai file, creare nuovi file che possano essere letti dagli altri programmi che seguono la stessa convenzione, e permetterne un corretto accesso ed una corretta fruizione. Ma c'è "formato" e "formato"...</p>

<hr>

<div>
    <div class="row align-items-center">
        <div class="col-md-6">
            <p>Alcuni formati sono "chiusi": solo chi ha realizzato il programma che legge e scrive i file in quel formato conosce il significato di quella sequenza di 0 e 1. Altri sono invece "aperti": il formato è conosciuto da tutti, documentato, pubblico, e tutti possono implementare programmi in grado di leggere e scrivere file in quel modo.</p>
        </div>
        <div class="col-md-6">
            <img class="img-responsive" src="/images/formatiaperti/zoom.png">
        </div>
    </div>
    <hr>
    <div class="row align-items-center">
        <div class="col-md-6">
            <p>Essendo i documenti in formato chiuso direttamente dipendenti dal programma che li ha generati, nel momento in cui non si dispone più di tale programma (perché non più distribuito, o perché obsoleto, o perché troppo costoso) non si può più aprire il file. E, soprattutto, accedere alle informazioni che esso contiene. Un documento in formato aperto invece sarà sempre consultabile, proprio perché le istruzioni su come interpretarlo e consultarlo sono a disposizione.</p>
        </div>
        <div class="col-md-6">
            <img class="img-responsive" src="/images/formatiaperti/time.png">
        </div>
    </div>
    <hr>
    <div class="row align-items-center">
        <div class="col-md-6">
            <p>I dati ed i documenti generati in un formato chiuso sono spesso fruibili solo con lo stesso software che li ha generati, il quale può o meno permetterne l'esportazione in altri formati. I formati liberi invece possono essere implementati da ogni software, e ciascuno può scegliere quello che preferisce. Da qui deriva la "dipendenza" nei confronti del software proprietario (e dei file in formato chiuso da esso generati) nel momento in cui si decide di cambiare piattaforma.</p>
        </div>
        <div class="col-md-6">
            <img class="img-responsive" src="/images/formatiaperti/interoperability.png">
        </div>
    </div>
    <hr>
    <div class="row align-items-center">
        <div class="col-md-6">
            <p>Allo stesso modo, essendo più facili da leggere e interpretare in modo preciso, i file in formato aperto possono essere trasformati in altri formati e protocolli usati da altre applicazioni per estenderne all'infinito l'interoperabilità e favorire il flusso delle informazioni.</p>
        </div>
        <div class="col-md-6">
            <img class="img-responsive" src="/images/formatiaperti/circle.png">
        </div>
    </div>
</div>

<hr>

<p>Per approfondimenti, consulta la pagina delle <a href="/faq">Domande Frequenti</a>.</p>
<p>Potresti trovare interessante anche la guida su cos'è il <a href="/softwarelibero">software libero</a>.</p>
